NXDBWrapperFactory
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.NXDBWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class NXDBWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
              uk.ac.bbk.dcs.automed.xml.wrappers.NXDBWrapperFactory

Direct Known Subclasses:
  EXISTWrapperFactory

    public abstract class NXDBWrapperFactory

extends XMLWrapperFactory

Class Task Description

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
`_logger, EXTRACT_USING_DOM, EXTRACT_USING_DTD, EXTRACT_USING_SAX, EXTRACT_USING_XML_SCHEMA, VALIDATING, WHITESPACE_COLLAPSE, WHITESPACE_REPLACE, xmldssExtractionMethod`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`NXDBWrapperFactory()`

Method Summary
`protected void` | `populateSchema(AutoMedWrapper wrapper)` Read the metadata from the wrapper connection, and store in existing Schema within the wrapper.

Methods inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
`createAutoMedSchema, getAccompanyingSchemaRootName, getAccompanyingSchemaURI, getAutoMedModel, getFeatureNames, getModel, getXMLDSSExtractionMethod, newAutoMedWrapper, setAccompanyingSchemaRootName, setAccompanyingSchemaURI, setXMLDSSExtractionMethod`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAttributeDomains, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, safeIQL, setAttributeDomains, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NXDBWrapperFactory

    public NXDBWrapperFactory()

Method Detail

### populateSchema

    protected void populateSchema(AutoMedWrapper wrapper)

  Description copied from class: `AutoMedWrapperFactory`
  Read the metadata from the wrapper connection, and store in existing Schema within the wrapper. To be called by `AutoMedWrapper` instances as part of the wrapper creation process.

  Overrides:
    `populateSchema` in class `XMLWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD